MWAWStream Struct Reference documentation

MWAWStream Struct Reference

small structure use to store a stream and it debug file More...

`#include <MWAWStream.hxx>`

## Public Member Functions
| MWAWStream (MWAWInputStreamPtr input, libmwaw::DebugFile &ascii)
| constructor with an ascii file
| MWAWStream (MWAWInputStreamPtr input)
| constructor without an ascii file
| ~MWAWStream ()
| destructor
bool | checkPosition (long pos) const
| return true if the position is in the file

## Public Attributes
MWAWInputStreamPtr | m_input
| the stream
libmwaw::DebugFile & | m_ascii
| the ascii file
long | m_bof
| the first position
long | m_eof
| the last position

## Protected Attributes
libmwaw::DebugFile | m_asciiFile
| the local file(if not, is given)

## Detailed Description

small structure use to store a stream and it debug file

## Constructor & Destructor Documentation

## ◆ MWAWStream() [1/2]

MWAWStream::MWAWStream | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | ascii )

constructor with an ascii file

## ◆ MWAWStream() [2/2]

MWAWStream::MWAWStream | ( | MWAWInputStreamPtr | input | ) |
| explicit

constructor without an ascii file

## ◆ ~MWAWStream()

MWAWStream::~MWAWStream | ( |  | ) |

destructor

## Member Function Documentation

## ◆ checkPosition()

bool MWAWStream::checkPosition | ( | long | pos | ) | const
| inline

return true if the position is in the file

## Member Data Documentation

## ◆ m_ascii

libmwaw::DebugFile& MWAWStream::m_ascii

the ascii file

Referenced by MWAWStream(), and MWAWStream().

## ◆ m_asciiFile

libmwaw::DebugFile MWAWStream::m_asciiFile
| protected

the local file(if not, is given)

Referenced by MWAWStream(), and MWAWStream().

## ◆ m_bof

long MWAWStream::m_bof

the first position

Referenced by MWAWStream(), and MWAWStream().

## ◆ m_eof

long MWAWStream::m_eof

the last position

Referenced by checkPosition(), MWAWStream(), and MWAWStream().

## ◆ m_input

MWAWInputStreamPtr MWAWStream::m_input

the stream

Referenced by MWAWStream(), and MWAWStream().

The documentation for this struct was generated from the following files:

- MWAWStream.hxx
- MWAWStream.cxx